# Conditionals to help breaking vorbis-java-tika <-> tika dependency cycle
%if 0%{?fedora}
%bcond_with tika
%endif
Name:          vorbis-java
Version:       0.2
Release:       1%{?dist}
Summary:       Ogg and Vorbis toolkit for Java
License:       ASL 2.0
URL:           https://github.com/Gagravarr/VorbisJava
Source0:       https://github.com/Gagravarr/VorbisJava/archive/%{name}-%{version}.tar.gz

BuildRequires: java-devel
# unavailable dep @ the moment
%if %{without tika}
BuildRequires: mvn(org.apache.tika:tika-core)
%endif
# test deps
BuildRequires: mvn(junit:junit)

BuildRequires: maven-local
BuildRequires: maven-surefire-provider-junit4

BuildArch:     noarch

%description
This library is a pure Java, for working with Ogg and
Vorbis files.

%if %{without tika}
%package tika
Summary:       VorbisJava Apache Tika plugin

%description tika
This package contains Apache Tika plugin for Ogg,
Vorbis and FLAC.
%endif

%package tools
Summary:       VorbisJava Tools

%description tools
This package contains VorbisJava Ogg and Vorbis tools for Java.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n VorbisJava-%{name}-%{version}
find . -name "*.class" -delete
find . -name "*.jar" -delete

%if %{with tika}
%pom_disable_module tika
%endif

# disable embedded core copy
%pom_remove_plugin :maven-assembly-plugin tools

%pom_remove_plugin :maven-gpg-plugin parent

%build

%mvn_package :%{name} %{name}
%mvn_package :%{name}-parent %{name}
%mvn_package :%{name}-core %{name}
# Skip test @ random fails on arm builder
%mvn_build -s -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-%{name}
%dir %{_javadir}/%{name}
%doc CHANGES.txt LICENSE.txt NOTICE.txt README.txt TODO.txt

%if %{without tika}
%files tika -f .mfiles-%{name}-tika
%doc LICENSE.txt NOTICE.txt
%endif

%files tools -f .mfiles-%{name}-tools
%doc LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt

%changelog
* Tue Apr 02 2013 gil cattaneo <puntogil@libero.it> 0.2-1
- initial rpm